Tuesday, 2 June 2015

heroku: Warning: Multiple default buildpacks reported the ability to handle this app. The first buildpack in the list below will be used.?


you got this error because you have more than one of these files:

Gemfile, packages.json, requirements.txt


https://blog.heroku.com/tags/buildpacks

Most buildpacks detect frameworks by searching for certain config files. For example, the Ruby buildpack looks for a Gemfile. The Node.js buildpack looks for package.json, and the Python buildpack looks for requirements.txt.

Solution:

manual specify a build pack on heroku:







No comments:

Post a comment